Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gameaction
Class CutSceneStart

    java.lang.Object
      gameaction.AbstractGameAction
          gameaction.CutSceneStart

All Implemented Interfaces:
  java.io.Serializable

    public class CutSceneStart

extends AbstractGameAction

See Also:
  Serialized Form

Constructor Summary
`CutSceneStart(AbstractCharacterSprite c, GameLocation location)` Creates a new cutscene start game action
`CutSceneStart(AbstractCharacterSprite c, GameLocation location, java.lang.String musicPath)` Creates a new cutscene start game action considering a special background music during cutscene

Method Summary
`void` | `update(long elapsedTime)` Updates the game action

Methods inherited from class gameaction.AbstractGameAction
`getCharacter, isSecondMethodCall`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CutSceneStart

    public CutSceneStart(AbstractCharacterSprite c,
                         GameLocation location)

  Creates a new cutscene start game action

  Parameters:
    `c` - character on the current location (usually player)
    `location` - location to switch to during cutscene

### CutSceneStart

    public CutSceneStart(AbstractCharacterSprite c,
                         GameLocation location,
                         java.lang.String musicPath)

  Creates a new cutscene start game action considering a special background music during cutscene

  Parameters:
    `c` - character on the current location (usually player)
    `location` - location to switch to during cutscene
    `musicPath` - path+filename to cutscene background music

Method Detail

### update

    public void update(long elapsedTime)

  Description copied from class: `AbstractGameAction`
  Updates the game action

  Specified by:
    `update` in class `AbstractGameAction`
  Parameters:
    `elapsedTime` - time between two frames

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD